package test;

import javax.swing.JFrame;
import javax.swing.WindowConstants;

import propertyGridPack.PropertyGrid;

public class Main extends JFrame
{
	private static final long serialVersionUID = 1L;

	public Main ()
	{
		// Just a little test object.
		// It contains a set of properties.
		TestObject objTest = new TestObject ();
		
		this.setLayout(null);
		this.setDefaultCloseOperation (WindowConstants.EXIT_ON_CLOSE);
		this.setSize (265, 400);	 
		this.setLocationRelativeTo(null);
		
		// Creates a PropertyGrid and adds it to the window.
		PropertyGrid objGrid = new PropertyGrid (5, 5, 240, 340);
		this.add(objGrid);
		objGrid.setVisible (true);
		
		// Select the test object.
		// The properties will determined automatically.
		objGrid.selectObject (objTest);
 

		this.setVisible (true);		

		return;
	}
	
	public static void main (String[] args) 
	{
		new Main ();
		

		return;
	}

}
